Page MenuHome

Pillar SDK fails to sync with Blender Cloud
Closed, ResolvedPublic

Description

System Information
Linux 4.18.5-arch1-1-ARCH #1 SMP PREEMPT x86_64 GNU/Linux

Blender Version
Blender: 2.79
Blender Cloud Addon: 1.9.0
Blender ID Addon: 1.4.1

Short description of error
When attempting to sync with the Blender Cloud via the addon preferences, it reports "Please log in on Blender ID first" even though I'm already logged into the Blender ID addon.

Error checking/refreshing credentials.
Traceback (most recent call last):
  File "/home/austin/.config/blender/2.79/scripts/addons/blender_cloud/pillar.py", line 281, in check_pillar_credentials
    db_user = await pillar_call(pillarsdk.User.me)
  File "/home/austin/.config/blender/2.79/scripts/addons/blender_cloud/pillar.py", line 247, in pillar_call
    return await loop.run_in_executor(None, partial)
  File "/usr/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/home/austin/.config/blender/2.79/scripts/addons/blender_cloud/wheels/pillarsdk-1.6.1-py2.py3-none-any.whl/pillarsdk/users.py", line 27, in me
    return cls.find_from_endpoint('/users/me', params=params, api=api)
  File "/home/austin/.config/blender/2.79/scripts/addons/blender_cloud/wheels/pillarsdk-1.6.1-py2.py3-none-any.whl/pillarsdk/resource.py", line 173, in find_from_endpoint
    item = api.get(url)
  File "/home/austin/.config/blender/2.79/scripts/addons/blender_cloud/wheels/pillarsdk-1.6.1-py2.py3-none-any.whl/pillarsdk/api.py", line 161, in get
    headers=headers)
  File "/home/austin/.config/blender/2.79/scripts/addons/blender_cloud/wheels/pillarsdk-1.6.1-py2.py3-none-any.whl/pillarsdk/api.py", line 101, in request
    verify=True)
  File "/home/austin/.config/blender/2.79/scripts/addons/blender_cloud/wheels/pillarsdk-1.6.1-py2.py3-none-any.whl/pillarsdk/api.py", line 118, in http_call
    content = self.handle_response(response, response.text)
  File "/home/austin/.config/blender/2.79/scripts/addons/blender_cloud/wheels/pillarsdk-1.6.1-py2.py3-none-any.whl/pillarsdk/api.py", line 135, in handle_response
    raise exception(response, content)
pillarsdk.exceptions.ResourceNotFound: Failed. Response status: 404. Response message: NOT FOUND. Request URL: https://cloud.blender.org/api/users/me/users/me. Error message: {"_status": "ERR", "_code": 404, "_message": "The requested URL was not found on the server.  If you entered the URL manually please check your spelling and try again."}

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/austin/.config/blender/2.79/scripts/addons/blender_cloud/pillar.py", line 859, in check_credentials
    db_user = await refresh_pillar_credentials(required_roles)
  File "/home/austin/.config/blender/2.79/scripts/addons/blender_cloud/pillar.py", line 322, in refresh_pillar_credentials
    return await check_pillar_credentials(required_roles)
  File "/home/austin/.config/blender/2.79/scripts/addons/blender_cloud/pillar.py", line 283, in check_pillar_credentials
    raise CredentialsNotSyncedError()
blender_cloud.pillar.CredentialsNotSyncedError: CredentialsNotSyncedError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/austin/.config/blender/2.79/scripts/addons/blender_cloud/settings_sync.py", line 284, in async_execute
    db_user = await self.check_credentials(context, REQUIRES_ROLES_FOR_SYNC)
  File "/home/austin/.config/blender/2.79/scripts/addons/blender_cloud/pillar.py", line 864, in check_credentials
    raise UserNotLoggedInError('Not logged in.')
blender_cloud.pillar.UserNotLoggedInError: UserNotLoggedInError
Please log in on Blender ID first.

I believe the problem is here:

pillarsdk.exceptions.ResourceNotFound: Failed. Response status: 404. Response message: NOT FOUND. Request URL: https://cloud.blender.org/api/users/me/users/me. Error message: {"_status": "ERR", "_code": 404, "_message": "The requested URL was not found on the server.  If you entered the URL manually please check your spelling and try again."}

It attempts to connect to https://cloud.blender.org/api/users/me/users/me when it should be connecting to https://cloud.blender.org/api/users/me.

Exact steps for others to reproduce the error

  • Start a brand new project. (Irrelevant)
  • Go to User Preferences.
  • Go to Addons tab
  • Go to Blender ID addon and log in
  • Go to Blender Cloud addon and select "Update credentials" so that it says you're logged in
  • Click "Save 2.79 settings"

Details

Type
Bug